scala.tools.nsc.CompilationUnits

# NoCompilationUnit

###
Related Doc: package CompilationUnits

#### object NoCompilationUnit extends Global.CompilationUnit

An object representing a missing compilation unit.

Source
  CompilationUnits.scala

Linear Supertypes
Global.CompilationUnit, Global.CompilationUnitContextApi, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoCompilationUnit
2. CompilationUnit
3. CompilationUnitContextApi
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### var body: Global.Tree

   the content of the compilation unit in tree form

   the content of the compilation unit in tree form

   Definition Classes
     CompilationUnit → CompilationUnitContextApi

6. #### var checkedFeatures: Set[Global.Symbol]

   The features that were already checked for this unit

   The features that were already checked for this unit

   Definition Classes
     CompilationUnit

7. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @HotSpotIntrinsicCandidate() @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

8. #### def defined: HashSet[Global.Symbol]

   Definition Classes
     CompilationUnit

9. #### def depends: HashSet[Global.Symbol]

   Definition Classes
     CompilationUnit

10. #### def encounteredXml(pos: Global.Position): Unit

    Record that we encountered XML.

    Record that we encountered XML. Should only be called once.

    Attributes
      protected[scala.tools.nsc]
    Definition Classes
      CompilationUnit

11. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def exists: Boolean

    Definition Classes
      NoCompilationUnit → CompilationUnit

14. #### def firstXmlPos: Global.Position

    Position of first XML literal in this unit.

    Position of first XML literal in this unit.

    Definition Classes
      CompilationUnit

15. #### implicit val fresh: FreshNameCreator

    the fresh name creator

    the fresh name creator

    Definition Classes
      CompilationUnit

16. #### def freshTermName(prefix: String = nme.FRESH_TERM_NAME_PREFIX): Global.TermName

    Definition Classes
      CompilationUnit

17. #### def freshTypeName(prefix: String): Global.TypeName

    Definition Classes
      CompilationUnit

18. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

19. #### def hasXml: Boolean

    Does this unit contain XML?

    Does this unit contain XML?

    Definition Classes
      CompilationUnit

20. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()

21. #### val icode: LinkedHashSet[Global.icodes.IClass]

    The icode representation of classes in this compilation unit.

    The icode representation of classes in this compilation unit. It is empty up to phase 'icode'.

    Definition Classes
      CompilationUnit

22. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

23. #### lazy val isJava: Boolean

    Is this about a .java source file?

    Is this about a .java source file?

    Definition Classes
      NoCompilationUnit → CompilationUnit

24. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

26. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

27. #### def position(pos: Int): Position

    Definition Classes
      CompilationUnit

28. #### val source: SourceFile

    Definition Classes
      CompilationUnit → CompilationUnitContextApi

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### object synthetics

    Synthetic definitions generated by namer, eliminated by typer.

    Synthetic definitions generated by namer, eliminated by typer.

    Definition Classes
      CompilationUnit

31. #### def targetPos: Global.Position

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    Definition Classes
      CompilationUnit

32. #### val toCheck: ListBuffer[() ⇒ Unit]

    things to check at end of compilation unit

    things to check at end of compilation unit

    Definition Classes
      CompilationUnit

33. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      NoCompilationUnit → CompilationUnit → AnyRef → Any

34. #### val transformed: AnyRefMap[Global.Tree, Global.Tree]

    Definition Classes
      CompilationUnit

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### final def comment(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) This method will be removed. It does nothing.

2. #### final def deprecationWarning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.currentRun.reporting.deprecationWarning directly instead.

3. #### final def echo(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.echo directly instead.

4. #### final def error(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.error (or typer.context.error) directly instead.

5. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

6. #### final def uncheckedWarning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.currentRun.reporting.uncheckedWarning directly instead.

7. #### final def warning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.warning (or typer.context.warning) directly instead.

### Inherited from Global.CompilationUnit

### Inherited from Global.CompilationUnitContextApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped